﻿Public Class easyprnSample

    Dim Prn As New easyprn.Prn '通信用のクラスのインスタンスを生成

    ' 各種設定のデフォルト値
    Dim mIp As String = "192.168.1.190" ' IPアドレスの初期値
    Dim mPort As Integer = 9100        ' ポート番号の初期値
    Dim comno As String = "COM1"    'COM番号の初期値
    Dim baudrate As Integer = 9600  'ボーレートの初期値
    Dim msgdata As String = ""  '印字する内容を格納するための変数
    Dim printerset As String    'プリンターの機種選択用の変数

    ' フォームのロード
    Private Sub Form1_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        ' フォームのテキストボックスにIPアドレスなどを表示
        TextBox1.Text = mIp
        TextBox2.Text = mPort
        TextBox3.Text = comno
        TextBox4.Text = baudrate
    End Sub

    Private Sub ComboBox1_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ComboBox1.SelectedIndexChanged
        'プリンターの機種名はEPPrnN、NPI、CITIZEN、STARのみ
        printerset = ComboBox1.Text 'プリンターの機種の設定値を変数に代入
    End Sub

    Private Sub Button1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button1.Click
        '整理券本文
        Dim str As String = "整理券番号"
        Dim smv As String = "printerDLL"
        'msgdataの変数の中に印字したい内容を格納する
        'DLLからのコマンドを呼び出すには”Prn.コマンド（msgdata,printerset）”で呼び出すことができる

        '本文の内容は最初に必ずIntでプリンターの初期化を行う
        'ひらがな・カタカナ・漢字を印字したい場合はJISコマンドを呼び出す
        msgdata = ""
        msgdata = Prn.Int(msgdata, printerset) + Prn.LF(msgdata, printerset) + _
            Prn.CTR(msgdata, printerset) + Prn.JIS(msgdata, printerset) + Prn.DBLON(msgdata, printerset) + _
            (str) + Prn.DBLOFF(msgdata, printerset) + Prn.LF(msgdata, printerset) + _
            Prn.BOLDON(msgdata, printerset) + smv + Prn.BOLDOFF(msgdata, printerset) + Prn.LF(msgdata, printerset) + _
            Prn.LF(msgdata, printerset) + _
            Prn.DBLON(msgdata, printerset) + "001" + Prn.DBLOFF(msgdata, printerset) + Prn.LF(msgdata, printerset) + _
            Prn.LF(msgdata, printerset) + _
            Prn.LFT(msgdata, printerset) + _
            "整理券発行日時：" + Date.Now + Prn.LF(msgdata, printerset) + _
            Prn.LF(msgdata, printerset) + _
            Prn.LF(msgdata, printerset) + _
            Prn.LF(msgdata, printerset) + _
            Prn.LF(msgdata, printerset) + _
            Prn.CUT(msgdata, printerset)

        '通信の実行
        Comunication()
    End Sub

    Private Sub Button2_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button2.Click
        'レシート本文
        msgdata = ""
        msgdata = Prn.Int(msgdata, printerset) + Prn.LF(msgdata, printerset) + Prn.JIS(msgdata, printerset) + Prn.CTR(msgdata, printerset) + _
            "テクノベインズ湯島店" + Prn.LF(msgdata, printerset) + _
            "TEL:03-3832-7460" + Prn.LF(msgdata, printerset) + Prn.LFT(msgdata, printerset) + _
            Date.Now + Prn.LF(msgdata, printerset) + _
            "------------------------------" + Prn.LF(msgdata, printerset) + _
            "食パン" + Prn.LF(msgdata, printerset) + _
            String.Format("{0, 9}", "600") + String.Format("{0, -6}", "X1個") + String.Format("{0, 13}", "600円") + Prn.LF(msgdata, printerset) + _
            "ジャムパン" + Prn.LF(msgdata, printerset) + _
            String.Format("{0, 9}", "120") + String.Format("{0, -6}", "X1個") + String.Format("{0, 13}", "120円") + Prn.LF(msgdata, printerset) + _
            "------------------------------" + Prn.LF(msgdata, printerset) + _
            "小計：" + String.Format("{0, 23}", "720円") + Prn.LF(msgdata, printerset) + _
            "------------------------------" + Prn.LF(msgdata, printerset) + _
            "合計：" + String.Format("{0, 23}", "720円") + Prn.LF(msgdata, printerset) + _
            "内税計：" + String.Format("{0, 21}", "33円") + Prn.LF(msgdata, printerset) + _
            "お預り：" + String.Format("{0, 21}", "800円") + Prn.LF(msgdata, printerset) + _
            "お釣り：" + String.Format("{0, 21}", "80円") + Prn.LF(msgdata, printerset) + _
            "お買上点数：" + String.Format("{0, 17}", "2点") + Prn.LF(msgdata, printerset) + _
            "------------------------------" + Prn.LF(msgdata, printerset) + _
            "No.20120406032" + Prn.LF(msgdata, printerset) + _
            "担当：山田" + Prn.LF(msgdata, printerset) + _
            Prn.CTR(msgdata, printerset)

        Select Case printerset
            Case "EPSON", "CITIZEN", "NPI"
                'CODEHIGTHTのコマンドの後にバーコードの高さのドット数をアスキーコードで指定。使用出来る値は1～255まで
                'CODEWIDEのコマンドの後にバーコードの横幅を指定。使用できる値は2～6　モジュール幅 2:0.282mm　3:0.423mm　4:0.564mm　5:0.706mm　6:0.847mm
                'バーコードの印字コマンドを入力後、バーコード終了印字のコマンドを入力すること
                msgdata += Prn.CODEHIGHT(msgdata, printerset) + Chr(&H50) + _
                Prn.CODEWIDE(msgdata, printerset) + Chr(&H2) + _
                Prn.CODABAR(msgdata, printerset) + _
                Chr(&H41) + Chr(&H32) + Chr(&H30) + Chr(&H31) + Chr(&H32) + Chr(&H30) + Chr(&H34) + Chr(&H30) + Chr(&H36) + Chr(&H30) + Chr(&H33) + Chr(&H32) + Chr(&H41) + _
                Prn.CODEOFF(msgdata, printerset) + _
                Prn.LF(msgdata, printerset) + Prn.LF(msgdata, printerset) + Prn.LF(msgdata, printerset) + Prn.LF(msgdata, printerset) + Prn.LF(msgdata, printerset) + Prn.CUT(msgdata, printerset)
            Case "STAR"
                'バーコード印字コマンドの後にバーコードの横幅、高さを設定する
                msgdata += Prn.CODABAR(msgdata, printerset) + Chr(&H1) + Chr(&H50) + _
                Chr(&H41) + Chr(&H32) + Chr(&H30) + Chr(&H31) + Chr(&H32) + Chr(&H30) + Chr(&H34) + Chr(&H30) + Chr(&H36) + Chr(&H30) + Chr(&H33) + Chr(&H32) + Chr(&H41) + _
                Prn.CODEOFF(msgdata, printerset) + _
                Prn.LF(msgdata, printerset) + Prn.LF(msgdata, printerset) + Prn.LF(msgdata, printerset) + Prn.LF(msgdata, printerset) + Prn.LF(msgdata, printerset) + Prn.CUT(msgdata, printerset)
        End Select

        '通信の実行
        Comunication()

    End Sub

    Private Sub Button3_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button3.Click
        '引換券券本文
        msgdata = ""
        msgdata = Prn.Int(msgdata, printerset) + Prn.JIS(msgdata, printerset) + Prn.LF(msgdata, printerset) + Prn.KULON(msgdata, printerset) + Prn.ULON(msgdata, printerset) + _
            "テクノベインズ25周年記念キャンペーン" + Prn.ULOFF(msgdata, printerset) + Prn.KULOFF(msgdata, printerset) + Prn.LF(msgdata, printerset) + _
            Prn.LF(msgdata, printerset) + _
            Prn.DBLON(msgdata, printerset) + "記念品引換券" + Prn.DBLOFF(msgdata, printerset) + Prn.LF(msgdata, printerset) + _
            Prn.LF(msgdata, printerset) + _
            Prn.BOLDON(msgdata, printerset) + String.Format("{0, -9}", "No.120") + Prn.BOLDOFF(msgdata, printerset) + Date.Now + Prn.LF(msgdata, printerset) + _
            Prn.LFT(msgdata, printerset) + "★本券1枚につき、記念品1個をお渡し致します。" + Prn.LF(msgdata, printerset) + _
            "★引換は当日のみ有効です。" + Prn.LF(msgdata, printerset) + _
            Prn.LF(msgdata, printerset) + Prn.LF(msgdata, printerset) + Prn.LF(msgdata, printerset) + Prn.LF(msgdata, printerset) + Prn.CUT(msgdata, printerset)

        '通信の実行
        Comunication()

    End Sub

    Public Sub Comunication()
        'プリンター選択
        Prn.PrnSet = printerset
        '通信の実行
        If TabControl1.SelectedIndex = 0 Then
            mIp = TextBox1.Text
            mPort = TextBox2.Text
            Prn.IpSet = mIp  'IPアドレス
            Prn.PortSet = mPort  'ポート番号
            Prn.MsgSet = msgdata 'メッセージ本文
            Prn.SendTcpClient(msgdata)

        ElseIf TabControl1.SelectedIndex = 1 Then
            comno = TextBox3.Text
            baudrate = TextBox4.Text
            Prn.ComSet = comno   'COM番号
            Prn.BRSet = baudrate     'ボーレート
            Prn.MsgSet = msgdata 'メッセージ本文
            Prn.serial_main()    'COM通信の実行
        End If

    End Sub
End Class
